- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.ListThreatCollectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/list#body.aspect_1)

**Full name**: projects.locations.instances.threatCollections.list

Lists threat collections, which contain reports and tracked threat campaigns from Google Threat Intelligence.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/threatCollections`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the threat collections. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of threat collections to return. The default is 10, and the maximum value is 40. |
| `pageToken` | `string` Optional. A page token, received from a previous `threatCollections.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `threatCollections.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to retrieve specific threat collection. Supported filters: - Search literal (<https://google.aip.dev/160#literals>) to perform an open search matching on the threat collection's display name or description. - Filtering by a specific field value in the format: `field:value`. Supported fields: - displayName - description - createTime - updateTime Filters can be combined using `AND`, `OR`, `NOT`. |
| `orderBy` | `string` Optional. The order to sort the returned threat collections by. The default is `createTime desc`. Fields that are supported for sorting are: - createTime - updateTime - firstSeenTime - lastSeenTime - displayName |

### Request body

The request body must be empty.

### Response body

Response containing a list of threat collections.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "threatCollections": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections#ThreatCollection`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `threatCollections[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections#ThreatCollection`)`` Output only. List of threat collections. This is sorted by creation time in descending order by default. |
| `nextPageToken` | `string` Output only. A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.threatCollections.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).